#include <iostream>
#include <string>
#include <list>
// Add more includes if you wish.
// ...

using namespace std;

// Add auxiliary functions if you wish.
// ...
int get_nth(const list<int>& l,const int& n);
void print_list(const list<int>& l);
void replace_index(list<int>& l, const int& index, const int& n);

int main()
{
  list<int> l;
  // Declare and initialise more data if you wish.
  // ...
  string command;
  while (cin >> command) {
    if (command == "v.push_back(") {
      int val;
      cin >> val;
      string ending;
      cin >> ending; // Això consumeix el ");"
      // ...
      l.push_back(val);
    } else if (command == "v.push_front(") {
      int val;
      cin >> val;
      string ending;
      cin >> ending; // Això consumeix el ");"
      // ...
      l.push_front(val);
    } else if (command == "v.pop_front();") {
      // ...
      l.pop_front();
    } else if (command == "v.pop_back();") {
      // ...
      l.pop_back();
    } else if (command == "v.resize(") {
      int newsize;
      cin >> newsize;
      string ending;
      cin >> ending; // Això consumeix el ");"
      // ...
      l.resize(newsize);
    } else if (command == "cout<<v[") {
      int index;
      cin >> index;
      string ending;
      cin >> ending; // Això consumeix el "];"
      // ...
      cout << get_nth(l, index) << endl;
    } else if (command == "cout<<v;") {
      // ...
      print_list(l);
    } else if (command == "v[") {
      int index;
      cin >> index;
      string mid;
      cin >> mid; // Això consumeix el "]="
      int val;
      cin >> val;
      string ending;
      cin >> ending; // Això consumeix el ";"
      // ...
      replace_index(l, index, val);
    } else if (command == "//") {
      string comment;
      getline(cin, comment);
      cout << "//" << comment << endl;
    } else {
      cout << "Wrong command '" << command << "'" << endl;
      string discard;
      getline(cin, discard);
    }
  }
}

// PRE: n inside list bounds
// POST: the element at index n of the list
int get_nth(const list<int>& l,const int& n)
{
  auto it = l.begin();
  advance(it,n);
  return *it;
}

// PRE: true
// POST: prints in standard output the elements of l separated by ','
void print_list(const list<int>& l)
{
  for(auto it = l.begin(); it!=l.end(); it++)
  {
    if(it != l.begin()) cout << ',';
    cout << *it;
  }
  cout << endl;
}

// PRE: n inside list bounds
// POST: replaces the element at index 'index' of list l to n
void replace_index(list<int>& l, const int& index, const int& n)
{
  auto it = l.begin();
  advance(it,index);
  *it = n;
}
